List Singlepager
QUICK PAYMENTS - List Singlepager
Section titled “QUICK PAYMENTS - List Singlepager”This API will list out all sub domains allocated to the specific merchant. We must pass airpay merchant id and secret key in request, we will get a success response and all the subdomains in terms of url.
https://kraken.airpay.co.in/airpay/ms/singlepager/api/listParameter
Section titled “Parameter”| Field | Type | Description |
|---|---|---|
| airpay_merchant_id | Numeric | Merchant Id (length 11, required) |
| airpay_secret_key | Alphanumeric | Merchant Secret Key (length 100, required) |
| checksum | Alphanumeric | Checksum (length 100, required) hash_hmac(‘sha256’,airpay_merchant_id + airpay_secret_key,‘91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps’); |
Request-Example:
Section titled “Request-Example:”{ "airpay_merchant_id": 1088, "airpay_secret_key": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps", "checksum": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"}Success 200
Section titled “Success 200”| Field | Type | Description |
|---|---|---|
| Result | String | Result message Success - 200 (The transaction is success) Transaction in Process - 211 (The transaction is in process) Failed - 400 (The transaction is failed) Dropped - 401 (The transaction is dropped in between) Cancel - 402 (The transaction is cancelled) Incomplete - 403 (The transaction is incomplete) Bounced - 405 (Transaction is rejected from bank) No Records - 503 (There are no records for this transaction) |
| SinglePager | String | It will display url of the subdomain |
Success-Response:
Section titled “Success-Response:”HTTP/1.1 200 OK{ "Result": "Success", "SinglePager": { "Subdomains": [ "https://abc.nwpay.co.in", "https://def.nwpay.co.in",... ] }}Error-Response:
Section titled “Error-Response:” { "SinglePager": { "Errors": { "00": "Header Aunthentication Failed, Invalid Content-Type", "01": "Header Aunthentication Failed, Airpay-Key Can Not Be Empty", "02": "Header Aunthentication Failed, Invalid Airpay-Key", "05": "Airpay Merchant Id Can Not Be Empty", "08": "Airpay Secret Key Can Not Be Empty", "10": "Invalid Request", "11": "Checksum Can Not Be Empty", "12": "Wrong Checksum", "13": "Airpay Merchant Id Does Not Exist", } }, "Result": "Fail"}